Subject: RE: xterm-like terminal emulator
From: Dan Lipofsky <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: Dan Lipofsky <[email-masked]>
Date: Thu, 11 Jan 2001 17:36:30 -0600

> > Try
> > http://www.io.com/~bub/rxvt.html
> > ...
> > Anyway, it works for me.
> 
> But AFAIRC, it doesn't do "unix-like" cut and paste (e.g.
> mouse-highlight and middle-button-click), which is what Dan wants.

It does seem to do that.  It also cuts by lines
which is what I really want (as opposed to the
DOS window which cuts by rectangles and inserts
newlines in the middle of wrapped lines).  The
cut=mouse-highlight and paste=middle-button-click
is less important to me.  I could live with DOS style
for that.

But the cutting seems to be pretty buggy.
I can cut once and paste to any application.
But subsequent cuts do not seem to make it
to the windows clipboard ... I can paste it into
other rxvt windows, but when I try to paste it
into a windows app I get the old cut.  When I
cut from a windows app that seems to reset the
clipboard so I can do another rxvt cut.

Can other rxvt users confirm this behavior?
If not, what version are you using?  I am using 2.7.2.

Also, the only way I can seem to run rxvt and get the results I want is
to have a batch file like
	C:
	chdir \cygwin\bin
	bash --noprofile --norc -c "rxvt ..."
But this involves making two bash instances per shot.
It doesn't seem to work right if I don't call it through bash.
Anyone got a better way?
- Dan

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple